md5_state_s Struct Reference

`#include <md5.h>`

## Data Fields

uint32_t | count [2]
uint32_t | state [4]
uint8_t | buffer [64]

## Detailed Description

Definition at line 59 of file md5.h.

## Field Documentation

uint8_t md5_state_s::buffer[64]

Definition at line 62 of file md5.h.

Referenced by MD5_Update().

uint32_t md5_state_s::count[2]

Definition at line 60 of file md5.h.

Referenced by MD5_Finish(), MD5_Init(), and MD5_Update().

uint32_t md5_state_s::state[4]

Definition at line 61 of file md5.h.

Referenced by MD5_Finish(), MD5_Init(), and md5_process().

The documentation for this struct was generated from the following file:

- ext/digest/md5/md5.h